Post by webmastercorey » Fri May 02, 2008 2:18 am

What does 7.7 use in php 5? My host only lets me run php 5 with a .php5 extension, which is incredibly annoying.

User avatar
New member

Posts

Joined
Sat Apr 26, 2008 5:40 pm

Post by bruce » Fri May 02, 2008 7:53 am

Get another host. It is not like there are not enough choices that they should dictate terms to you... their customer.

Active Member

Posts

Joined
Wed Dec 12, 2007 2:26 pm

Post by webmastercorey » Fri May 02, 2008 10:38 am

I got the .php5 extension working... my only problem now is the php.ini register_globals. I had this working in the php 4 version by putting a php.ini file in my root directory and install and admin section but the new Version 7 continues to say register_globals are still enabled. I don't understand. Is there any workaround? Would it still work and the version 7 is just saying it won't? .htaccess won't work.

User avatar
New member

Posts

Joined
Sat Apr 26, 2008 5:40 pm

Active Member

Posts

Joined
Wed Dec 12, 2007 2:26 pm

Post by webmastercorey » Fri May 02, 2008 10:55 am

Yeah I hate life... i don't understand how it worked with the php 4 version of Open cart... why would it do that?
Last edited by webmastercorey on Fri May 02, 2008 10:58 am, edited 1 time in total.

User avatar
New member

Posts

Joined
Sat Apr 26, 2008 5:40 pm

Post by pdbs » Thu May 08, 2008 4:56 am

IN PHP 4 ALL GLOBALS were local and  you had to source the GLOBAL to see it's value.
IN PHP 4 you had to extract variables to expand the value.  i.e.  extract($GLOBALS);
You also were required to set a local variable for the values of any funnction called. 
PHP 5 fixed this issue. I do not understand the details I just had to fix a simular issue.

New member

Posts

Joined
Thu May 08, 2008 2:56 am

Post by webmastercorey » Thu May 08, 2008 5:03 pm

I ended up switching hosts... :D

User avatar
New member

Posts

Joined
Sat Apr 26, 2008 5:40 pm
Who is online

Users browsing this forum: No registered users and 1 guest